> ## Documentation Index
> Fetch the complete documentation index at: https://gcore-doc-1894.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Check container quota

> Check if regional quota is exceeded, if yes the number of additional
quotas needed to create the specified cluster will be calculated.



## OpenAPI

````yaml /api-reference/services_docs_mintlify_enriched/cloud_api.yaml post /cloud/v1/caas/{project_id}/{region_id}/check_limits
openapi: 3.1.0
info:
  title: Gcore OpenAPI – Cloud API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: e4facaa17275
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: Bare Metal
  - name: Container as a Service
  - name: Cost Reports
  - name: DDoS Protection
  - name: Everywhere Inference
  - name: Everywhere Inference Apps
  - name: File Shares
  - name: Floating IPs
  - name: Function as a Service
  - name: GPU Bare Metal
  - name: GPU Virtual
  - name: IP Ranges
  - name: Images
  - name: Instances
  - name: Load Balancers
  - name: Logging
  - name: Managed Kubernetes
  - name: Managed PostgreSQL
  - name: Networks
  - name: Placement Groups
  - name: Ports
  - name: Projects
  - name: Quotas
  - name: Regions
  - name: Registry
  - name: Reservations
  - name: Reserved IPs
  - name: Routers
  - name: SSH Keys
  - name: Secrets
  - name: Security Groups
  - name: Snapshot Schedules
  - name: Snapshots
  - name: Tasks
  - name: User Actions
  - name: User Role Assignments
  - name: Volumes
paths:
  /cloud/v1/caas/{project_id}/{region_id}/check_limits:
    post:
      tags:
        - Container as a Service
      summary: Check container quota
      description: |-
        Check if regional quota is exceeded, if yes the number of additional
        quotas needed to create the specified cluster will be calculated.
      operationId: ContainerCheckLimitsHandler.post
      parameters:
        - in: path
          name: project_id
          required: true
          description: Project id
          schema:
            description: Project id
            example: 1
            examples:
              - 1
            title: Project Id
            type: integer
        - in: path
          name: region_id
          required: true
          description: Region id
          schema:
            description: Region id
            example: 1
            examples:
              - 1
            title: Region Id
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CheckQuotaBeforeContainerCreation'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContainerQuotaCheckSerializer'
components:
  schemas:
    CheckQuotaBeforeContainerCreation:
      properties:
        flavor:
          description: Container flavor
          example: 250mCPU-512MiB
          examples:
            - 250mCPU-512MiB
          pattern: ^[0-9]{0,12}mCPU-[0-9]{0,12}M[i]?B$
          title: Flavor
          type: string
        max_replicas:
          description: Maximum number of instances
          maximum: 25
          minimum: 1
          title: Max Replicas
          type: integer
      required:
        - flavor
        - max_replicas
      title: CheckQuotaBeforeContainerCreation
      type: object
    ContainerQuotaCheckSerializer:
      description: >-
        Exceeded quota fields, present only when regional limits would be
        violated.


        An empty response means no quotas are exceeded.
      properties:
        caas_container_count_limit:
          description: Containers count limit
          example: 5
          examples:
            - 5
          title: Caas Container Count Limit
          type: integer
        caas_container_count_requested:
          description: Containers count requested
          example: 1
          examples:
            - 1
          title: Caas Container Count Requested
          type: integer
        caas_container_count_usage:
          description: Containers count usage
          example: 5
          examples:
            - 5
          title: Caas Container Count Usage
          type: integer
        caas_cpu_count_limit:
          description: Containers CPU count limit, mCPU
          example: 10
          examples:
            - 10
          title: Caas Cpu Count Limit
          type: integer
        caas_cpu_count_requested:
          description: Containers CPU count requested, mCPU
          example: 20
          examples:
            - 20
          title: Caas Cpu Count Requested
          type: integer
        caas_cpu_count_usage:
          description: Containers CPU count usage, mCPU
          example: 5
          examples:
            - 5
          title: Caas Cpu Count Usage
          type: integer
        caas_gpu_count_limit:
          description: Containers GPU count limit
          example: 4
          examples:
            - 4
          title: Caas Gpu Count Limit
          type: integer
        caas_gpu_count_requested:
          description: Containers GPU count requested
          example: 8
          examples:
            - 8
          title: Caas Gpu Count Requested
          type: integer
        caas_gpu_count_usage:
          description: Containers GPU count usage
          example: 2
          examples:
            - 2
          title: Caas Gpu Count Usage
          type: integer
        caas_ram_size_limit:
          description: Containers RAM size limit, MiB
          example: 2048
          examples:
            - 2048
          title: Caas Ram Size Limit
          type: integer
        caas_ram_size_requested:
          description: Containers RAM size requested, MiB
          example: 4096
          examples:
            - 4096
          title: Caas Ram Size Requested
          type: integer
        caas_ram_size_usage:
          description: Containers RAM size usage, MiB
          example: 1024
          examples:
            - 1024
          title: Caas Ram Size Usage
          type: integer
      title: ContainerQuotaCheckSerializer
      type: object
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234_abcdef`
      type: apiKey
      in: header
      name: Authorization

````